<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:06 CET 2009 -->
<TITLE>
MLSparse
</TITLE>

<META NAME="keywords" CONTENT="com.jmatio.types.MLSparse class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="MLSparse";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/MLSparse.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../com/jmatio/types/MLNumericArray.html" title="class in com.jmatio.types"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../com/jmatio/types/MLStructure.html" title="class in com.jmatio.types"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?com/jmatio/types/MLSparse.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MLSparse.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_com.jmatio.types.MLArray">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
com.jmatio.types</FONT>
<BR>
Class MLSparse</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../com/jmatio/types/MLArray.html" title="class in com.jmatio.types">com.jmatio.types.MLArray</A>
      <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../com/jmatio/types/MLNumericArray.html" title="class in com.jmatio.types">com.jmatio.types.MLNumericArray</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;
          <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><B>com.jmatio.types.MLSparse</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../com/jmatio/types/GenericArrayCreator.html" title="interface in com.jmatio.types">GenericArrayCreator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../src-html/com/jmatio/types/MLSparse.html#line.8"><B>MLSparse</B></A><DT>extends <A HREF="../../../com/jmatio/types/MLNumericArray.html" title="class in com.jmatio.types">MLNumericArray</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</DL>
</PRE>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_com.jmatio.types.MLArray"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class com.jmatio.types.<A HREF="../../../com/jmatio/types/MLArray.html" title="class in com.jmatio.types">MLArray</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../com/jmatio/types/MLArray.html#attributes">attributes</A>, <A HREF="../../../com/jmatio/types/MLArray.html#dims">dims</A>, <A HREF="../../../com/jmatio/types/MLArray.html#mtFLAG_COMPLEX">mtFLAG_COMPLEX</A>, <A HREF="../../../com/jmatio/types/MLArray.html#mtFLAG_GLOBAL">mtFLAG_GLOBAL</A>, <A HREF="../../../com/jmatio/types/MLArray.html#mtFLAG_LOGICAL">mtFLAG_LOGICAL</A>, <A HREF="../../../com/jmatio/types/MLArray.html#mtFLAG_TYPE">mtFLAG_TYPE</A>, <A HREF="../../../com/jmatio/types/MLArray.html#mxCELL_CLASS">mxCELL_CLASS</A>, <A HREF="../../../com/jmatio/types/MLArray.html#mxCHAR_CLASS">mxCHAR_CLASS</A>, <A HREF="../../../com/jmatio/types/MLArray.html#mxDOUBLE_CLASS">mxDOUBLE_CLASS</A>, <A HREF="../../../com/jmatio/types/MLArray.html#mxFUNCTION_CLASS">mxFUNCTION_CLASS</A>, <A HREF="../../../com/jmatio/types/MLArray.html#mxINT16_CLASS">mxINT16_CLASS</A>, <A HREF="../../../com/jmatio/types/MLArray.html#mxINT32_CLASS">mxINT32_CLASS</A>, <A HREF="../../../com/jmatio/types/MLArray.html#mxINT64_CLASS">mxINT64_CLASS</A>, <A HREF="../../../com/jmatio/types/MLArray.html#mxINT8_CLASS">mxINT8_CLASS</A>, <A HREF="../../../com/jmatio/types/MLArray.html#mxOBJECT_CLASS">mxOBJECT_CLASS</A>, <A HREF="../../../com/jmatio/types/MLArray.html#mxOPAQUE_CLASS">mxOPAQUE_CLASS</A>, <A HREF="../../../com/jmatio/types/MLArray.html#mxSINGLE_CLASS">mxSINGLE_CLASS</A>, <A HREF="../../../com/jmatio/types/MLArray.html#mxSPARSE_CLASS">mxSPARSE_CLASS</A>, <A HREF="../../../com/jmatio/types/MLArray.html#mxSTRUCT_CLASS">mxSTRUCT_CLASS</A>, <A HREF="../../../com/jmatio/types/MLArray.html#mxUINT16_CLASS">mxUINT16_CLASS</A>, <A HREF="../../../com/jmatio/types/MLArray.html#mxUINT32_CLASS">mxUINT32_CLASS</A>, <A HREF="../../../com/jmatio/types/MLArray.html#mxUINT64_CLASS">mxUINT64_CLASS</A>, <A HREF="../../../com/jmatio/types/MLArray.html#mxUINT8_CLASS">mxUINT8_CLASS</A>, <A HREF="../../../com/jmatio/types/MLArray.html#mxUNKNOWN_CLASS">mxUNKNOWN_CLASS</A>, <A HREF="../../../com/jmatio/types/MLArray.html#name">name</A>, <A HREF="../../../com/jmatio/types/MLArray.html#type">type</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../com/jmatio/types/MLSparse.html#MLSparse(java.lang.String, int[], int, int)">MLSparse</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                 int[]&nbsp;dims,
                 int&nbsp;attributes,
                 int&nbsp;nzmax)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../com/jmatio/types/MLSparse.html#contentToString()">contentToString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../com/jmatio/types/MLSparse.html#createArray(int, int)">createArray</A></B>(int&nbsp;m,
                       int&nbsp;n)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../com/jmatio/types/MLSparse.html#exportImaginary()">exportImaginary</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Exports column-packed vector of imaginary elements</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../com/jmatio/types/MLSparse.html#exportReal()">exportReal</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Exports column-packed vector of real elements</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../com/jmatio/types/MLSparse.html#getImaginary(int, int)">getImaginary</A></B>(int&nbsp;m,
                         int&nbsp;n)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets single imaginary array element of A(m,n).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../com/jmatio/types/MLSparse.html#getIR()">getIR</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets row indices
 
 <tt>ir</tt> points to an integer array of length nzmax containing the row indices of
 the corresponding elements in <tt>pr</tt> and <tt>pi</tt>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../com/jmatio/types/MLSparse.html#getJC()">getJC</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets collumn indices.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../com/jmatio/types/MLSparse.html#getMaxNZ()">getMaxNZ</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets maximum number of non-zero values</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../com/jmatio/types/MLSparse.html#getReal(int, int)">getReal</A></B>(int&nbsp;m,
               int&nbsp;n)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets single real array element of A(m,n).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../com/jmatio/types/MLSparse.html#setImaginary(java.lang.Double, int)">setImaginary</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&nbsp;value,
                         int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets single real array element.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../com/jmatio/types/MLSparse.html#setImaginary(java.lang.Double, int, int)">setImaginary</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&nbsp;value,
                         int&nbsp;m,
                         int&nbsp;n)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets single imaginary array element.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../com/jmatio/types/MLSparse.html#setReal(java.lang.Double, int)">setReal</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&nbsp;value,
               int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets single real array element.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../com/jmatio/types/MLSparse.html#setReal(java.lang.Double, int, int)">setReal</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&nbsp;value,
               int&nbsp;m,
               int&nbsp;n)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets single real array element.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.jmatio.types.MLNumericArray"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class com.jmatio.types.<A HREF="../../../com/jmatio/types/MLNumericArray.html" title="class in com.jmatio.types">MLNumericArray</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html#equals(java.lang.Object)">equals</A>, <A HREF="../../../com/jmatio/types/MLNumericArray.html#get(int)">get</A>, <A HREF="../../../com/jmatio/types/MLNumericArray.html#get(int, int)">get</A>, <A HREF="../../../com/jmatio/types/MLNumericArray.html#set(T[])">set</A>, <A HREF="../../../com/jmatio/types/MLNumericArray.html#set(T, int)">set</A>, <A HREF="../../../com/jmatio/types/MLNumericArray.html#set(T, int, int)">set</A>, <A HREF="../../../com/jmatio/types/MLNumericArray.html#setReal(T[])">setReal</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.jmatio.types.MLArray"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class com.jmatio.types.<A HREF="../../../com/jmatio/types/MLArray.html" title="class in com.jmatio.types">MLArray</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../com/jmatio/types/MLArray.html#getDimensions()">getDimensions</A>, <A HREF="../../../com/jmatio/types/MLArray.html#getFlags()">getFlags</A>, <A HREF="../../../com/jmatio/types/MLArray.html#getIndex(int, int)">getIndex</A>, <A HREF="../../../com/jmatio/types/MLArray.html#getM()">getM</A>, <A HREF="../../../com/jmatio/types/MLArray.html#getN()">getN</A>, <A HREF="../../../com/jmatio/types/MLArray.html#getName()">getName</A>, <A HREF="../../../com/jmatio/types/MLArray.html#getNameToByteArray()">getNameToByteArray</A>, <A HREF="../../../com/jmatio/types/MLArray.html#getNDimensions()">getNDimensions</A>, <A HREF="../../../com/jmatio/types/MLArray.html#getSize()">getSize</A>, <A HREF="../../../com/jmatio/types/MLArray.html#getType()">getType</A>, <A HREF="../../../com/jmatio/types/MLArray.html#isCell()">isCell</A>, <A HREF="../../../com/jmatio/types/MLArray.html#isChar()">isChar</A>, <A HREF="../../../com/jmatio/types/MLArray.html#isComplex()">isComplex</A>, <A HREF="../../../com/jmatio/types/MLArray.html#isDouble()">isDouble</A>, <A HREF="../../../com/jmatio/types/MLArray.html#isEmpty()">isEmpty</A>, <A HREF="../../../com/jmatio/types/MLArray.html#isFunctionObject()">isFunctionObject</A>, <A HREF="../../../com/jmatio/types/MLArray.html#isInt16()">isInt16</A>, <A HREF="../../../com/jmatio/types/MLArray.html#isInt32()">isInt32</A>, <A HREF="../../../com/jmatio/types/MLArray.html#isInt64()">isInt64</A>, <A HREF="../../../com/jmatio/types/MLArray.html#isInt8()">isInt8</A>, <A HREF="../../../com/jmatio/types/MLArray.html#isLogical()">isLogical</A>, <A HREF="../../../com/jmatio/types/MLArray.html#isObject()">isObject</A>, <A HREF="../../../com/jmatio/types/MLArray.html#isOpaque()">isOpaque</A>, <A HREF="../../../com/jmatio/types/MLArray.html#isSingle()">isSingle</A>, <A HREF="../../../com/jmatio/types/MLArray.html#isSparse()">isSparse</A>, <A HREF="../../../com/jmatio/types/MLArray.html#isStruct()">isStruct</A>, <A HREF="../../../com/jmatio/types/MLArray.html#isUint16()">isUint16</A>, <A HREF="../../../com/jmatio/types/MLArray.html#isUint32()">isUint32</A>, <A HREF="../../../com/jmatio/types/MLArray.html#isUint64()">isUint64</A>, <A HREF="../../../com/jmatio/types/MLArray.html#isUint8()">isUint8</A>, <A HREF="../../../com/jmatio/types/MLArray.html#isUnknown()">isUnknown</A>, <A HREF="../../../com/jmatio/types/MLArray.html#toString()">toString</A>, <A HREF="../../../com/jmatio/types/MLArray.html#typeToString(int)">typeToString</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="MLSparse(java.lang.String, int[], int, int)"><!-- --></A><H3>
MLSparse</H3>
<PRE>
public <A HREF="../../../src-html/com/jmatio/types/MLSparse.html#line.15"><B>MLSparse</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                int[]&nbsp;dims,
                int&nbsp;attributes,
                int&nbsp;nzmax)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getMaxNZ()"><!-- --></A><H3>
getMaxNZ</H3>
<PRE>
public int <A HREF="../../../src-html/com/jmatio/types/MLSparse.html#line.27"><B>getMaxNZ</B></A>()</PRE>
<DL>
<DD>Gets maximum number of non-zero values
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getIR()"><!-- --></A><H3>
getIR</H3>
<PRE>
public int[] <A HREF="../../../src-html/com/jmatio/types/MLSparse.html#line.37"><B>getIR</B></A>()</PRE>
<DL>
<DD>Gets row indices
 
 <tt>ir</tt> points to an integer array of length nzmax containing the row indices of
 the corresponding elements in <tt>pr</tt> and <tt>pi</tt>.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getJC()"><!-- --></A><H3>
getJC</H3>
<PRE>
public int[] <A HREF="../../../src-html/com/jmatio/types/MLSparse.html#line.57"><B>getJC</B></A>()</PRE>
<DL>
<DD>Gets collumn indices. 
 
 <tt>jc</tt> points to an integer array of length N+1 that contains column index information.
 For j, in the range <tt>0&lt;=j&lt;=N???1</tt>, <tt>jc[j]</tt> is the index in ir and <tt>pr</tt> (and <tt>pi</tt>
 if it exists) of the first nonzero entry in the jth column and <tt>jc[j+1]???1</tt> index
 of the last nonzero entry. As a result, <tt>jc[N]</tt> is also equal to nnz, the number
 of nonzero entries in the matrix. If nnz is less than nzmax, then more nonzero
 entries can be inserted in the array without allocating additional storage
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createArray(int, int)"><!-- --></A><H3>
createArray</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>[] <A HREF="../../../src-html/com/jmatio/types/MLSparse.html#line.88"><B>createArray</B></A>(int&nbsp;m,
                            int&nbsp;n)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getReal(int, int)"><!-- --></A><H3>
getReal</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A> <A HREF="../../../src-html/com/jmatio/types/MLSparse.html#line.96"><B>getReal</B></A>(int&nbsp;m,
                      int&nbsp;n)</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html#getReal(int, int)">MLNumericArray</A></CODE></B></DD>
<DD>Gets single real array element of A(m,n).
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html#getReal(int, int)">getReal</A></CODE> in class <CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html" title="class in com.jmatio.types">MLNumericArray</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>m</CODE> - - row index<DD><CODE>n</CODE> - - column index
<DT><B>Returns:</B><DD>- array element</DL>
</DD>
</DL>
<HR>

<A NAME="setReal(java.lang.Double, int, int)"><!-- --></A><H3>
setReal</H3>
<PRE>
public void <A HREF="../../../src-html/com/jmatio/types/MLSparse.html#line.106"><B>setReal</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&nbsp;value,
                    int&nbsp;m,
                    int&nbsp;n)</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html#setReal(T, int, int)">MLNumericArray</A></CODE></B></DD>
<DD>Sets single real array element.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html#setReal(T, int, int)">setReal</A></CODE> in class <CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html" title="class in com.jmatio.types">MLNumericArray</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - - element value<DD><CODE>m</CODE> - - row index<DD><CODE>n</CODE> - - column index</DL>
</DD>
</DL>
<HR>

<A NAME="setReal(java.lang.Double, int)"><!-- --></A><H3>
setReal</H3>
<PRE>
public void <A HREF="../../../src-html/com/jmatio/types/MLSparse.html#line.113"><B>setReal</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&nbsp;value,
                    int&nbsp;index)</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html#setReal(T, int)">MLNumericArray</A></CODE></B></DD>
<DD>Sets single real array element.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html#setReal(T, int)">setReal</A></CODE> in class <CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html" title="class in com.jmatio.types">MLNumericArray</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - - element value<DD><CODE>index</CODE> - - column-packed vector index</DL>
</DD>
</DL>
<HR>

<A NAME="setImaginary(java.lang.Double, int, int)"><!-- --></A><H3>
setImaginary</H3>
<PRE>
public void <A HREF="../../../src-html/com/jmatio/types/MLSparse.html#line.119"><B>setImaginary</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&nbsp;value,
                         int&nbsp;m,
                         int&nbsp;n)</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html#setImaginary(T, int, int)">MLNumericArray</A></CODE></B></DD>
<DD>Sets single imaginary array element.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html#setImaginary(T, int, int)">setImaginary</A></CODE> in class <CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html" title="class in com.jmatio.types">MLNumericArray</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - - element value<DD><CODE>m</CODE> - - row index<DD><CODE>n</CODE> - - column index</DL>
</DD>
</DL>
<HR>

<A NAME="setImaginary(java.lang.Double, int)"><!-- --></A><H3>
setImaginary</H3>
<PRE>
public void <A HREF="../../../src-html/com/jmatio/types/MLSparse.html#line.126"><B>setImaginary</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&nbsp;value,
                         int&nbsp;index)</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html#setImaginary(T, int)">MLNumericArray</A></CODE></B></DD>
<DD>Sets single real array element.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html#setImaginary(T, int)">setImaginary</A></CODE> in class <CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html" title="class in com.jmatio.types">MLNumericArray</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - - element value<DD><CODE>index</CODE> - - column-packed vector index</DL>
</DD>
</DL>
<HR>

<A NAME="getImaginary(int, int)"><!-- --></A><H3>
getImaginary</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A> <A HREF="../../../src-html/com/jmatio/types/MLSparse.html#line.135"><B>getImaginary</B></A>(int&nbsp;m,
                           int&nbsp;n)</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html#getImaginary(int, int)">MLNumericArray</A></CODE></B></DD>
<DD>Gets single imaginary array element of A(m,n).
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html#getImaginary(int, int)">getImaginary</A></CODE> in class <CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html" title="class in com.jmatio.types">MLNumericArray</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>m</CODE> - - row index<DD><CODE>n</CODE> - - column index
<DT><B>Returns:</B><DD>- array element</DL>
</DD>
</DL>
<HR>

<A NAME="exportReal()"><!-- --></A><H3>
exportReal</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>[] <A HREF="../../../src-html/com/jmatio/types/MLSparse.html#line.148"><B>exportReal</B></A>()</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html#exportReal()">MLNumericArray</A></CODE></B></DD>
<DD>Exports column-packed vector of real elements
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html#exportReal()">exportReal</A></CODE> in class <CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html" title="class in com.jmatio.types">MLNumericArray</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>- column-packed vector of real elements</DL>
</DD>
</DL>
<HR>

<A NAME="exportImaginary()"><!-- --></A><H3>
exportImaginary</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>[] <A HREF="../../../src-html/com/jmatio/types/MLSparse.html#line.163"><B>exportImaginary</B></A>()</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html#exportImaginary()">MLNumericArray</A></CODE></B></DD>
<DD>Exports column-packed vector of imaginary elements
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html#exportImaginary()">exportImaginary</A></CODE> in class <CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html" title="class in com.jmatio.types">MLNumericArray</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>- column-packed vector of imaginary elements</DL>
</DD>
</DL>
<HR>

<A NAME="contentToString()"><!-- --></A><H3>
contentToString</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/com/jmatio/types/MLSparse.html#line.177"><B>contentToString</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html#contentToString()">contentToString</A></CODE> in class <CODE><A HREF="../../../com/jmatio/types/MLNumericArray.html" title="class in com.jmatio.types">MLNumericArray</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/MLSparse.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../com/jmatio/types/MLNumericArray.html" title="class in com.jmatio.types"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../com/jmatio/types/MLStructure.html" title="class in com.jmatio.types"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?com/jmatio/types/MLSparse.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MLSparse.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_com.jmatio.types.MLArray">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
